List monitors
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arcmira.com/v1/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.arcmira.com/v1/monitors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.arcmira.com/v1/monitors \
--header 'Authorization: Bearer <token>'{
"monitors": [
{
"id": "<string>",
"name": "<string>",
"isCollapsed": true,
"isPaused": true,
"sortOrder": 123,
"notifyEmails": [
"<string>"
],
"notifyWebhook": true,
"webhookUrl": "<string>",
"webhookSecretSet": true,
"webhookSecretHint": "<string>",
"webhookDisabledAt": "<string>",
"webhookDisabledReason": "<string>",
"notifySlack": true,
"slackIntegrationId": "<string>",
"slackChannelId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"trackerCount": 123,
"alertsThisMonth": 123,
"icon": "eye",
"color": "blue",
"notifyFrequency": "realtime",
"digestDay": "monday",
"digestTime": "09:00",
"webhookFailures": 0,
"slackIntegration": {
"id": "<string>",
"team_name": "<string>",
"channel_name": "<string>"
}
}
],
"colors": [
"<string>"
]
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Monitors
List monitors
All monitors for the account with tracker counts, alert counts for the current calendar month, and Slack display metadata. Single page, no pagination.
GET
/
v1
/
monitors
List monitors
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arcmira.com/v1/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.arcmira.com/v1/monitors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.arcmira.com/v1/monitors \
--header 'Authorization: Bearer <token>'{
"monitors": [
{
"id": "<string>",
"name": "<string>",
"isCollapsed": true,
"isPaused": true,
"sortOrder": 123,
"notifyEmails": [
"<string>"
],
"notifyWebhook": true,
"webhookUrl": "<string>",
"webhookSecretSet": true,
"webhookSecretHint": "<string>",
"webhookDisabledAt": "<string>",
"webhookDisabledReason": "<string>",
"notifySlack": true,
"slackIntegrationId": "<string>",
"slackChannelId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"trackerCount": 123,
"alertsThisMonth": 123,
"icon": "eye",
"color": "blue",
"notifyFrequency": "realtime",
"digestDay": "monday",
"digestTime": "09:00",
"webhookFailures": 0,
"slackIntegration": {
"id": "<string>",
"team_name": "<string>",
"channel_name": "<string>"
}
}
],
"colors": [
"<string>"
]
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I